#!/usr/bin/ruby

if ARGV.length == 0
	puts "Usage: parsemail.rb INDEXNAME <INBOX"
	exit
end

basename = ARGV[0]

fromFile = File.new(basename + "-from", "w")
senderFile = File.new(basename + "-sender", "w")
subjectFile = File.new(basename + "-subject", "w")
textFile = File.new(basename + "-text", "w")

first_time = true
subject = sender = in_text = nil

$stdin.each do |line|
	if line =~ /^From / then
		fromFile.print(line[5..-1])
		if first_time then 
			first_time = false
		else
			if ! subject then subjectFile.puts else subjectFile.print(subject) end
			if ! sender then senderFile.puts else senderFile.print(sender) end
			textFile.putc(0)
			in_text = sender = subject =  nil
		end
	elsif in_text
		textFile.print(line)
	elsif line =~ /^From: / then
		sender = line[6..-1]
	elsif line =~ /^Subject: / then
		subject = line[9..-1]
	elsif line == "\n" then
		in_text = true
	end
end

if ! subject then subjectFile.print else subjectFile.print(subject) end
if ! sender then senderFile.print else senderFile.print(sender) end
textFile.putc(0)
