package it.unimi.dsi.mg4j.index;

import it.unimi.dsi.mg4j.util.MutableString;

/*		 
 * MG4J: Managing Gigabytes for Java
 *
 * Copyright (C) 2004 Sebastiano Vigna 
 *
 *  This library is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU Lesser General Public License as published by the Free
 *  Software Foundation; either version 2.1 of the License, or (at your option)
 *  any later version.
 *
 *  This library is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


/** An abstract implementation of a map from term to term indices.
 *
 * <P>Subclasses need just to implement {@link #get(int)} (and,
 * of course, {@link TermMap#get(CharSequence)}).
 *
 * @author Sebastiano Vigna 
 * @since 0.9
 */

public abstract class AbstractTermMap implements TermMap {
		
	public CharSequence get( int index ) {
		throw new UnsupportedOperationException();
	}
		
	public MutableString get( int index, MutableString term ) {
		return term.replace( get( index ) );
	} 
}
