package it.unimi.dsi.mg4j.index;

/*		 
 * MG4J: Managing Gigabytes for Java
 *
 * Copyright (C) 2003, 2004 Paolo Boldi and Sebastiano Vigna 
 *
 *  This library is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU Lesser General Public License as published by the Free
 *  Software Foundation; either version 2.1 of the License, or (at your option)
 *  any later version.
 *
 *  This library is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


/** This class provides symbolic names for properties of an index.
 *
 * @see IndexWriter
 * @see IndexReader
 * @see Index
 *
 * @author Paolo Boldi 
 * @author Sebastiano Vigna 
 * @since 0.6
 */

public class IndexProperties {
	
	protected IndexProperties() {}
	
	/** The number of documents in the collection. */
	public static final String DOCUMENTS = "documents";
	/** The number of terms in the collection. */
	public static final String TERMS = "terms";
	/** The maximum number of positions within a document record. */
	public static final String MAXDOCPOS = "maxdocpos";
	/** The maximum size (in words) of a document. */
	public static final String MAXDOCSIZE = "maxdocsize";
	/** The average size of a document. */
	public static final String AVGDOCSIZE = "avgdocsize";
	/** Whether the index is case sensitive. */
	public static final String ISCASESENSITIVE = "iscasesensitive";
	/** The compression flags. */
	public static final String COMPRESSIONFLAGS = "compressionflags";		
	/** The name of the {@link Index} class. */
	public static final String INDEXCLASS = "indexclass";			
}

// Local Variables:
// mode: jde
// tab-width: 4
// End:

