package it.unimi.dsi.mg4j.io;

/*		 
 * MG4J: Managing Gigabytes for Java
 *
 * Copyright (C) 2003, 2004 Sebastiano Vigna 
 *
 *  This library is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU Lesser General Public License as published by the Free
 *  Software Foundation; either version 2.1 of the License, or (at your option)
 *  any later version.
 *
 *  This library is distributed in the hope that it will be useful, but
 *  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 *  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */


/** A basic interface specifying positioning methods for a byte stream.
 *
 * <P>A bit stream wrapping a byte stream implementing this interface
 * will become repositionable, too.
 *
 * @author Sebastiano Vigna
 * @since 0.7
 */

public interface RepositionableStream {

	/** Sets the current stream position.
	 *
	 * @param newPosition the new stream position.
	 */
	void position( long newPosition ) throws java.io.IOException;

	/** Returns the current stream position.
	 *
	 * @return the current stream position.
	 */
	long position() throws java.io.IOException;

}


// Local Variables:
// mode: jde
// tab-width: 4
// End:
